ekey-rekey(8)

NAME
ekey-rekey - Entropy Key Long Term Session Key tool

SYNOPSIS
ekey-rekey [ -d DeviceNode ] [SerialNumber [MasterKey]]

DESCRIPTION

ekey-rekey is a tool which sets the long-term key of an Entropy Key using its Master Key. It ensures any running ekey daemons are updated with the altered keys.

OPTIONS

SerialNumber
    Specifies the serial number of the key to re-key. If this is not specified, the identity of the Entropy Key currently connected will be automatically detected.

MasterKey
    Specifies the Master Key of the device being re-keyed. If this is not specified, the user will be prompted for it.

DeviceNode
    If -d or --device is specified, then the tool expects to be give the device node to use (such as /dev/ttyACM0) rather than attempting to work it out from the serial number provided.

SEE ALSO
ekey-setkey(8), ekeyd(8)

AUTHOR
Copyright © 2011 Simtec Electronics. All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.